Validate export storage

Validate a specific Redis export storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
can_delete_objectsbooleanOptionalDefaults to false
Deletion from storage enabled.
dbintegerOptional
Database ID of database to use
descriptionstringOptional
Storage description
hoststringOptional

Server Host IP (optional)

idintegerOptional
Storage ID. If set, storage with specified ID will be updated
passwordstringOptional

Server Password (optional)

pathstringOptional

Storage prefix (optional)

portstringOptional

Server Port (optional)

projectintegerOptional
Project ID
titlestringOptional<=2048 characters
Storage title

Response

Validation successful